package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tcrgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2112 extends AbstractRmb {
    private String  acp= NULLSTR;
    private Tcrgrp recgrp;
    private String rmbbutflg = NULLSTR;
    private String ownref = NULLSTR;
    private String isbus = NULLSTR;
    private  int  newnum= 0;

    @Override
    public String getObjtyp() {
        return "TCR";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tcrgrp();
        recgrp.reset();
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tcrgrp();
        }
        recgrp.reset();
    }
}
